/* aliases for imgs/colors */
:root {
  --header-image: url('https://platinumtulip.neocities.org/img/site/pinkstars.png');
  --body-bg-image: url('https://platinumtulip.garden/img/site/bg.png');

  /* colors */
  --dark-05: hsl(351, 30%, 5%);
  --dark-10: hsl(332, 35%, 10%);
  --dark-15: hsl(338, 29%, 15%);
  --dark-20: hsl(342, 29%, 20%);
  --dark-25: hsl(343, 24%, 25%);
  --rose-45: hsl(355, 34%, 45%);
  --rose-60: hsl(1, 41%, 58%);
  --rose-75: hsl(357, 81%, 75%);
  --light-80: hsl(11, 80%, 80%);

  /* old accents
  --plum: #7a334c;
  --gold: #D8824D; */

  /* new accents: light rainbow */
  --red-60: hsl(356, 67%, 60%);
  --orange-70: hsl(13, 89%, 70%);
  --yellow-85: hsl(35, 100%, 85%);
  --green-70: hsl(50, 50%, 70%);
  --blue-65: hsl(232, 22%, 65%);
  --purple-55: hsl(324, 25%, 55%);

  /* new accents: mid rainbow */
  --red-45: hsl(356, 55%, 45%);
  --orange-60: hsl(11, 80%, 60%);
  --yellow-70: hsl(25, 100%, 70%);
  --green-50: hsl(50, 43%, 50%);
  --blue-45: hsl(262, 22%, 45%);
  --purple-35: hsl(334, 37%, 35%);

}


/* used for h1 text */
@font-face {
  font-family: Berolina;
  src: url('https://platinumtulip.garden/img/site/Berolina.ttf');
}

/* used for h2/h3 text */
@font-face {
  font-family: Della Respira;
  src: url('https://platinumtulip.garden/img/site/DellaRespira-Regular.ttf')
}

body {
  font-family: Georgia, serif;
  line-height: 1.6;
  margin: 0;
  background-color: var(--dark-05);
  color: var(--light-80);
  background-image: var(--body-bg-image);
}

* {
  box-sizing: border-box;
}

/* layout css */

#container {
  max-width: 900px;
  margin: 0 auto;
}

#headerArea {
  background: radial-gradient(circle, rgb(15, 8, 9, 0.8) 0%, rgba(255,255,255,0) 100%);
  padding-top: 10px;
}

/* header */
#header {
  display: flex;
  width: 100%;
  border-bottom: 1px solid var(--rose-60);
  justify-content: center;
}

#icon {
  align-self: center;
  justify-content: center;
}

#icon img {
  width: 100px;
  margin-top: 5px;
}

gardentitle {
  line-height: 3.5em;
}

/* navigation */
nav {
  display: flex;
  justify-content: space-evenly;
  justify-items: stretch;
  flex-wrap: wrap;
  margin: 5px auto;
  gap: 5px;
  max-width: 100%;
  text-align: center;
  color: var(--rose-60);
}

nav a {
  display: inline;
  padding: 5px;
  margin: 0px auto;
  font-size: 12pt;
  font-family: Georgia, serif;
  font-weight: bold;
  border: 1px solid rgb(192, 106, 105, 0.5);
  background-color: hsl(351, 30%, 5%, 0.5);
  flex: auto;
}

nav a:hover {
  border: 1px solid var(--rose-75);
}

#flex {
  display: flex;
}

/* main content box */
main {
  background-color: var(--dark-05);
  flex: 1;
  padding: 20px;
  order: 2;
  border: 3px double;
  border-image: linear-gradient(to bottom right, var(--rose-60), var(--rose-75), var(--rose-75)) 1;
}

.visitors {
  font-size: x-large;
  font-style: italic;
  text-align: center;
  color: var(--rose-60);
}

footer {
  width: 100%;
  padding: 10px;
  text-align: center;
  font-size: small;
  color: var(--rose-60);
  line-height: 1em;
  background: radial-gradient(circle, rgb(15, 8, 9, 0.8) 0%, rgba(255,255,255,0) 100%);
  padding-top: 10px;
}

a {
  color: var(--rose-60);
  font-weight: bold;
}

a:hover {
  color: var(--rose-75);
  font-weight: bold;
}

main a:visited {
  color: var(--purple-55);
}


h1 {
  color: var(--light-80);
  text-align: center;
  font-family: Berolina, Times New Roman, serif;
  font-weight: normal;
  margin: 15px;
  line-height: 1em;
  letter-spacing: 1px;
  font-size: 60px;
}

h2,
h3 {
  color: var(--rose-60);
  text-align: center;
  font-family: Della Respira, Times New Roman, serif;
  font-weight: normal;
  margin: 15px;
  line-height: 1.2em;
  border-bottom: 1px solid var(--rose-60);
  padding-bottom: 10px;
}

h2 {
  font-size: 30px;
  max-width: 60%;
  margin: 10px auto;
}

h3 {
  font-size: 30px;
}

h4 {
  font-size: 20px;
  color: var(--rose-60);
  text-align: center;
  font-family: Della Respira, Times New Roman, serif;
  font-weight: normal;
  margin: 10px;
  border-bottom: 1px solid var(--rose-60);
}

img {
  max-width: 100%;
}

li {
  padding-top: 5px;
  padding-bottom: 5px;
}

strong {
  color: var(--rose-75);
}

.flex-container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-evenly;
  align-content: center;
  width: 100%;
}

#diana {
  align-self: center;
}

/* update box */
#updates {
  background-color: var(--dark-05);
  width: 40%;
  min-height: 250px;
  min-width: 200px;
  margin: 10px;
  align-self: self-end;
  border-radius: 2px;
}

#cell {
  text-align: center;
  align-self: flex-end;
  margin: 10px;
}

/* where updates actually go*/
.frame {
  height: 180px;
  width: 314px;
  margin: 10px;
  border: 1px solid var(--rose-45);
}

/* smaller intro text for ambience */
.intro {
  font-size: small;
  font-style: italic;
  text-align: center;
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
  color: var(--rose-60);
}

/* hacky way of getting images to center */
.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}


.gallery {
  margin-top: 10px;
  margin-bottom: 10px;
  width: 70%;
  border: 1px solid var(--rose-60);
}

/* music box starts here */
figure {
  display: block;
  width: 50%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  margin-bottom: 10px;
  border: 3px double var(--rose-45);
  overflow: auto;
}

figure img {
  float: right;
  width: 96px;
  height: 100px;
  image-rendering: pixelated;
  margin-right: 10px;
}

figtitle:before {
  color: var(--rose-60);
  font-family: Georgia, serif;
  font-size: small;
  font-style: italic;
  text-align: center;
  letter-spacing: 2px;
  content: "~ music box ~";
  display: block;
  margin-bottom: 10px;
}

figtitle {
  display: inherit;
  position: relative;
  padding: 10px;
  font-family: Della Respira, Times New Roman, serif;
  font-weight: normal;
  font-size: 20px;
  color: var(--light-80);
  line-height: 1.2em;
}

figcaption {
  padding: 10px;
  background-color: var(--dark-05);
  color: var(--rose-60);
  font-family: Georgia, serif;
  font-size: small;
  font-style: italic;
}

audio {
  display: inherit;
  width: 100%;
}

/* external link table */

table.links {
  width: 70%;
  margin: 10px auto 10px auto;
  border-collapse: collapse;
  border: solid 1px var(--rose-60);
}

table.links td {
  border: solid 1px var(--rose-60);
  padding: 5px;
}

table.links tr:nth-child(odd) {
  background-color: #260e11;
}

#sitename {
  text-align: center;
}

#sitedesc {
  width: 70%;
  font-size: small;
  line-height: 1.6;
}

/* webring sample of style

.yw-body {
  display: block;
  width: 50%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  margin-bottom: 10px;
  padding: 10px;
  border: solid 1px var(--rose-60);
  overflow: auto;
}

.yw-content {
  text-align: center;
  font-size: small;
} */

/* ask box related stuff */

#ask {
  display: block;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  margin-bottom: 10px;
  padding: 10px;
  border: solid 1px var(--rose-60);
  overflow: auto;
}

h4#letterbox {
  margin: 10px 0px 10px 0px;
}

textarea {
  width: 100%;
  border: none;
  background-color: var(--dark-10);
  color: var(--light-80);
  font-size: 16px;
  padding: 5px;
  resize: vertical;
}

button#send {
  background-color: var(--rose-60);
  border: none;
  color: var(--dark-05);
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: block;
  float: right;
  margin: 5px auto 5px auto;
  font-size: 16px;
  font-family: Georgia, serif;
  font-weight: bold;
  cursor: pointer;
}

#msg {
  display: block;
  background-color: var(--dark-10);
  padding: 10px;
  margin: 20px auto 10px auto;
}

#time {
  font-size: small;
}

#sender {
  color: var(--rose-60);
  text-align: end;
  font-family: Della Respira, Times New Roman, serif;
  font-size: 18px;
  margin: 15px;
  line-height: 1.2em;
}

#response {
  border-top: 5px double var(--rose-60);
}

/* scrollbar trick's */

/* for firefox */
* {
  scrollbar-width: auto;
  scrollbar-color: var(--rose-60) var(--dark-05);
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 10px;
}

*::-webkit-scrollbar-track {
  background: var(--dark-05);
}

*::-webkit-scrollbar-thumb {
  background-color: var(--rose-60);
  border-radius: 10px;
  border: 1px none #ffffff;
}

/* button for gallery select */

nav2 ul {
  width: 90%;
  margin: 5px auto 5px auto;
  padding: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

nav2 li {
  list-style: none;
  font-family: Della Respira, sans-serif;
  font-weight: bold;
  font-size: 35px;
  text-align: center;
  background-color: var(--dark-05);
  color: var(--rose-60);
  border: 1px var(--rose-60) solid;
  margin: 5px;
  padding: 10px;
  cursor: pointer;
  opacity: 0.9;
  width: 30%;
  flex: auto;
  align-self: center;
}

nav2 li:hover {
  opacity: 1;
}

nav2 a {
  display: block;
  color: var(--rose-75);
  text-decoration: none;
}

/* gallery for art */
gallery {
  display: flex;
}

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create two equal columns that sit next to each other */
.column {
  flex: 49%;
  max-width: 49%;
  padding: 0 4px;
  text-align: center;
}


.column img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
}

/* Clear floats */
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

/* BELOW THIS POINT IS MEDIA QUERY */

@media only screen and (max-width: 900px) {
  #flex {
    flex-wrap: wrap;
  }

  #header {
    border: none;
  }

  #container {
    max-width: 90%;
  }

  main {
    width: 100%;
    order: 1;
  }

  h2 {
    font-size: 30px;
    max-width: 100%;
    margin: 10px;
  }

  h3 {
    font-size: 25px;
    margin: 10px;
  }

  nav {
    margin: 5px auto;
  }

  nav a {
    margin: 0px auto;
    padding: 5px;
    font-size: 11pt;
  }

  .flex-container {
    flex-direction: column;
  }

  #diana {
    width: 80%;
    align-self: center;
  }

  #updates {
    width: 80%;
    height: 300px;
    align-self: center;
  }

  .frame {
    width: 95%;
    height: 220px;
  }

  #cell {
    align-items: center;
    width: 100%;
  }

  /*  #cell img {
  width: 120px;
} */

  .yw-body {
    width: 80%;
  }

  table.links {
    width: 95%;
  }

  /* Responsive layout - makes a two column-layout instead of four columns */
  .column {
    flex: 49%;
    max-width: 49%;
    padding: 0 2px;
  }

  .row {
    padding: 0 2px;
  }

  .column img {
    margin-top: 4px;
  }

}

@media only screen and (max-width: 600px) {

  .column {
    flex: 100%;
    max-width: 100%;
  }

  #icon img {
    margin-top: 0px;
    margin-bottom: 5px;
  }

  #container {
    max-width: 90%;
  }

  #header h1 {
    font-size: 40px;
  }

  #header h3 {
    font-size: 20px;
  }

  h2 {
    font-size: 25px;
  }

  tulip {
    padding: 10px;
    margin-top: -10px;
  }

  #second {
    display: none;
  }

  figure {
    width: 80%;
  }

  figure img {
    float: none;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 96px;
    height: 100px;
    image-rendering: pixelated;
  }

  nav2 ul {
    flex-direction: column;
  }

  nav2 li {
    width: 75%;
  }



}